package fr.xephi.authme.events;

import org.bukkit.Location;
import org.bukkit.entity.Player;

/**
 * 
 * Called if a player is teleported to a specific spawn
 *
 * @author Xephi59
 */
public class SpawnTeleportEvent extends CustomEvent {

	private Location from;
	private boolean isAuthenticated;
	private Player player;
	private Location to;

	public SpawnTeleportEvent(Player player, Location from, Location to, boolean isAuthenticated) {
		this.player = player;
		this.from = from;
		this.to = to;
		this.isAuthenticated = isAuthenticated;
	}

	public Location getFrom() {
		return from;
	}

	public Player getPlayer() {
		return player;
	}

	public Location getTo() {
		return to;
	}

	public boolean isAuthenticated() {
		return isAuthenticated;
	}

	public void setTo(Location to) {
		this.to = to;
	}

}
